Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZGPG Class Reference

## Public Member Functions
| getbody ()

## Static Public Member Functions
| __construct ( $plaintxt, $keyname, $wwwuser)
| __constructStock ( $plaintxt, $keyname, $wwwuser)

## Public Attributes
| $messagetext
| $body
| $keyname = array()
| $ret = array()
| $pathtogpg = "/usr/bin/"
| $pp
| $fp
| $pcmd
| $encryptcommand = "gpg --encrypt --batch --no-secmem-warning -a -q --no-tty"
| $signcommand = "gpg --sign --batch"
| $home ="HOME=/var/www/"
| $gnuhome ="/var/www/.gnupg"

## Detailed Description

! eZCommon GPG Encrytion class

Definition at line 38 of file ezgpg.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZGPG::__construct | ( |  | $plaintxt,
|  |  | $keyname,
|  |  | $wwwuser
| ) |  |
| static

Encrypt function

Definition at line 44 of file ezgpg.php.

References $fp, $home, $keyname, exit, eZPBFile\filesize(), eZPBFile\fopen(), and eZPBFile\unlink().

## Member Function Documentation

## ◆ __constructStock()

eZGPG::__constructStock | ( |  | $plaintxt,
|  |  | $keyname,
|  |  | $wwwuser
| ) |  |
| static

Encrypt function

Definition at line 79 of file ezgpg.php.

References $keyname, and $ret.

## ◆ getbody()

eZGPG::getbody | ( |  | ) |

Definition at line 110 of file ezgpg.php.

References $body.

## Member Data Documentation

## ◆ $body

eZGPG::$body

Definition at line 116 of file ezgpg.php.

Referenced by getbody().

## ◆ $encryptcommand

eZGPG::$encryptcommand = "gpg --encrypt --batch --no-secmem-warning -a -q --no-tty"

Definition at line 123 of file ezgpg.php.

## ◆ $fp

eZGPG::$fp

Definition at line 121 of file ezgpg.php.

Referenced by __construct().

## ◆ $gnuhome

eZGPG::$gnuhome ="/var/www/.gnupg"

Definition at line 127 of file ezgpg.php.

## ◆ $home

eZGPG::$home ="HOME=/var/www/"

Definition at line 126 of file ezgpg.php.

Referenced by __construct().

## ◆ $keyname

eZGPG::$keyname = array()

Definition at line 117 of file ezgpg.php.

Referenced by __construct(), and __constructStock().

## ◆ $messagetext

eZGPG::$messagetext

Definition at line 115 of file ezgpg.php.

## ◆ $pathtogpg

eZGPG::$pathtogpg = "/usr/bin/"

Definition at line 119 of file ezgpg.php.

## ◆ $pcmd

eZGPG::$pcmd

Definition at line 122 of file ezgpg.php.

## ◆ $pp

eZGPG::$pp

Definition at line 120 of file ezgpg.php.

## ◆ $ret

eZGPG::$ret = array()

Definition at line 118 of file ezgpg.php.

Referenced by __constructStock().

## ◆ $signcommand

eZGPG::$signcommand = "gpg --sign --batch"

Definition at line 124 of file ezgpg.php.

The documentation for this class was generated from the following file:

- ezgpg.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.